• If you need help or want to discuss things, you now can also join us on our Discord Server!

My bot quits after exactly 10 minutes

giurap

Donor
is awesome!
I just upgraded both TS3 to 3.5.0 then I downloaded the latest Sinusbot (1.0.0-beta.10-202ee4d), after 10 minutes the bot quits. It's running on Windows. It was running with no issues before (for months).
This is the Instance log:

2020-03-20T23:06:21+01:00 Storing configuration.
2020-03-20T23:05:54+01:00 Prespawn.
2020-03-20T23:05:53+01:00 TSClient quit.
2020-03-20T23:05:53+01:00 Closed.
2020-03-20T23:05:52+01:00 Could not request shutdown. Please make sure that the plugin is installed correctly; HTTP returned an error: Timeout; Code: 500; Message: Timeout
2020-03-20T23:05:42+01:00 No pong received from client. Restarting...
2020-03-20T23:00:52+01:00 Ping failed.
2020-03-20T22:55:51+01:00 Storing configuration.
2020-03-20T22:55:42+01:00 TS>DUMP defined! Dumpdir is: C:\SinusBot\data\ts3\abbe33b6-e719-468d-82f1-ef75a0bfe7f2\890752d3-7a4b-4ef7-9c4c-15bb1e0f3862\crashdumps
2020-03-20T22:55:42+01:00 TS>Crashdump ENABLED, directory is: C:\SinusBot\data\ts3\abbe33b6-e719-468d-82f1-ef75a0bfe7f2\890752d3-7a4b-4ef7-9c4c-15bb1e0f3862\crashdumps
2020-03-20T22:55:42+01:00 Starting instance ts3server://127.0.0.1?port=9987&nickname=%E2%98%AE%20Armaiolo%20%E2%98%AE&password=&cid=33&channelpassword=
2020-03-20T22:55:42+01:00 Could not create Notifications-Tabletable Notifications already exists
2020-03-20T22:55:42+01:00 Could not create WhisperReceive-Tabletable WhisperReceive already exists
2020-03-20T22:55:42+01:00 Could not create Chat-Tabletable Chat already exists
 

TwentyFour

Well-Known Member
V.I.P.
So why don't you keep using the 3.3.x client, when everything was working fine?

You can't upgrade your client and expect SinusBot to keep working, especially not, if the version isn't named compatible so far. Just downgrade and profit!
 

giurap

Donor
is awesome!
So why don't you keep using the 3.3.x client, when everything was working fine?

You can't upgrade your client and expect SinusBot to keep working, especially not, if the version isn't named compatible so far. Just downgrade and profit!
It's because my TS server upgraded to the latest version, and the previous client used by SinusBot couldn't connect to it: a popup were coming up asking to upgrade the client. But especially because it's asked to install the latest TS3 client in the SinusBot documentation.
And also, i'm on Windows, and I used the SinusBot installer, it should take care of the TS version by enabling (that i did) the "TeamSpeak 3 Support"option.
 
Last edited:

TwentyFour

Well-Known Member
V.I.P.
It's because my TS server upgraded to the latest version, and the previous client used by SinusBot couldn't connect to it: a popup were coming up asking to upgrade the client.
But that's a server side configuration, can easily be lifted by the admin.
SinusBot Beta10 + TS-Client 3.3.2 will surely work for now, since there isn't any reason, to be forced on the 3.5.0 client, besides if you use a free server from the TS5 beta.
But especially because it's asked to install the latest TS3 client in the SinusBot documentation. And also, i'm on Windows, and I used the SinusBot installer, it should take care of the TS version by enabling (that i did) the "TeamSpeak 3 Support"option.
No it doesn't! It uses the pre-installed TS-version, as you can read here. So if you choose 3.5.0, it might not work for now (due to API version raise prolly - see Please make sure that the plugin is installed correctly in your log), install 3.3.2 instead. The "use latest" part is indeed a bit missleading I admit, should be changed.

"Latest" is a really bad description. :D
It was running with no issues before (for months).
What versions were you running before?
 
Last edited:

giurap

Donor
is awesome!
But that's a server side configuration, can easily be lifted by the admin.
I am the admin, are you suggested to downgrade to a previous TS server with security issues instead of using the current one? And which version I should use? Can You suggest which one it's supposed to work? I'm not using any beta version, i'm on stable: 3.12.0 that you can download here: https://www.teamspeak.com/it/downloads/#server

SinusBot Beta10 + TS-Client 3.3.2 will surely work for now, since there isn't any reason, to be forced on the 3.5.0 client, besides if you use a free server from the TS5 beta.
Again, I'm not using any "beta" version, I simply downloaded the current stable version of SinusBot and TS3 and used its installer. If you recommend which server (with no security issues) and client I should download (for Windows), I will be glad.

No it doesn't! It uses the pre-installed TS-version, as you can read here. So if you choose 3.5.0, it might not work for now (due to API version raise prolly - see Please make sure that the plugin is installed correctly in your log), install 3.3.2 instead. The "use latest" part is indeed a bit missleading I admit, should be changed.
I cannot install a previous TS client version, as I said it won't connect to the server unless I downgrade the server. Anyway what server I should install, everyone is using TS client 3.5.0 by now (my users), it'll be retro-compatible?

"Latest" is a really bad description. :D
Yes it is.
 

Multivitamin

Well-Known Member
Tier III
is awesome!
V.I.P.
is uber awesome!
Contributor
Insider
TeamSpeak Servers with Version 3.12.x or 3.11.x will allow TeamSpeak Clients with Version 3.3.2 (i have them running on my TeamSpeak Server aswell and it works without any problems)
 

TwentyFour

Well-Known Member
V.I.P.
I am the admin, are you suggested to downgrade to a previous TS server with security issues instead of using the current one? And which version I should use? Can You suggest which one it's supposed to work? I'm not using any beta version, i'm on stable: 3.12.0 that you can download here: https://www.teamspeak.com/it/downloads/#server
I was referring tho the ServerQuery preference [B]virtualserver_min_client_version[/B], where you can force the required client-version on your server. If you don't know about it and you're the admin, it's prolly left on default.

But as @Multivitamin said, a default TS-server allows clients 3.3.x to 3.5.0.

I have no idea though, if you can run SinusBot with 3.3.2, and at the same time client 3.5.0 for your personal client instance. Your solution would be uninstalling 3.5.0, rebooting, reinstalling 3.3.2 and then reinstalling SinusBot.
 

giurap

Donor
is awesome!
I installed the TS3 client 3.3.2 and the TS3 Server 3.12.0.
It does the same thing, after 5 minutes "ping failed" and after 10 minutes it quits:

Code:
2020-03-21T16:03:05+01:00 TSClient quit.
2020-03-21T16:03:05+01:00 Closed.
2020-03-21T16:03:04+01:00 Could not request shutdown. Please make sure that the plugin is installed correctly; HTTP returned an error: Timeout; Code: 500; Message: Timeout
2020-03-21T16:02:54+01:00 No pong received from client. Restarting...
2020-03-21T15:58:04+01:00 Ping failed.
2020-03-21T15:53:09+01:00 Storing configuration.
Plus now I see that the "Sinusbot default audio device" in TS is invalid.

Any suggestion? Should I use a different Server/Client version?
 

giurap

Donor
is awesome!
I had to remove everything (including the settings) and now it's not disconnecting.
However I have new entries in the log file that I didn't had before, I'm not sure if they impact the bot functionalities, I tried to search the forum but I didn't found the specific cases. They are:

TS/ERR 2564 e'access to default group is forbidden' x'' r'PR:{ed

this four:

2020-03-21T18:02:03+01:00 New connection status 4; Error 0
2020-03-21T18:02:03+01:00 New connection status 3; Error 0
2020-03-21T18:02:03+01:00 New connection status 2; Error 0
2020-03-21T18:02:03+01:00 New connection status 1; Error 0

and this:

2020-03-21T18:06:30+01:00 Could not insert into FileTransfer-Tableno such table: FileTransfer
2020-03-21T18:06:30+01:00 Could not delete from FileTransferno such table: FileTransfer
 

TwentyFour

Well-Known Member
V.I.P.
2020-03-21T18:02:03+01:00 New connection status 4; Error 0
2020-03-21T18:02:03+01:00 New connection status 3; Error 0
2020-03-21T18:02:03+01:00 New connection status 2; Error 0
2020-03-21T18:02:03+01:00 New connection status 1; Error 0
Glad that you got those new logs, since they show that your connection is successful. ;) No worries...
2020-03-21T18:06:30+01:00 Could not insert into FileTransfer-Tableno such table: FileTransfer
2020-03-21T18:06:30+01:00 Could not delete from FileTransferno such table: FileTransfer
Prolly your bot doesn't have FileTransfer permissions, but I don't know any script that would need those, so nothing to worry either.
 

giurap

Donor
is awesome!
Tnx.. do you know anything about this:

TS/ERR 2564 e'access to default group is forbidden' x'' r'PR:{ed .....

Should I be worried about?
 

fabm3n

Active Member
Tier II
Tier III
Tier I
is awesome!
is uber awesome!
Insider
That's normal. The Bot want''s to get all clients from your default servergtoup (In Default it's called Guest) but the default group hasn't any Clients in it, so the access is denied by the teamspeak server
 

Similar threads

Top